> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tranthor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /api/admin/content/templates

> Get message templates



## OpenAPI

````yaml get /api/admin/content/templates
openapi: 3.1.0
info:
  title: Tranthor API
  description: Tranthor API Swagger Documentation
  version: 0.0.1
servers: []
security: []
paths:
  /api/admin/content/templates:
    get:
      tags:
        - Content
      description: Get message templates
      parameters:
        - schema:
            type: string
          in: query
          name: workspaceId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  templates:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        workspaceId:
                          type: string
                        type:
                          anyOf:
                            - type: string
                              enum:
                                - Email
                            - type: string
                              enum:
                                - MobilePush
                            - type: string
                              enum:
                                - Sms
                            - type: string
                              enum:
                                - Webhook
                            - type: string
                              enum:
                                - Whatsapp
                        updatedAt:
                          type: number
                        definition:
                          anyOf:
                            - description: Mobile push template resource
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - MobilePush
                                title:
                                  type: string
                                body:
                                  type: string
                                imageUrl:
                                  type: string
                                android:
                                  type: object
                                  properties:
                                    notification:
                                      type: object
                                      properties:
                                        channelId:
                                          type: string
                                  required:
                                    - notification
                              required:
                                - type
                            - type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - Email
                                from:
                                  type: string
                                subject:
                                  type: string
                                replyTo:
                                  type: string
                                headers:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      value:
                                        type: string
                                    required:
                                      - name
                                      - value
                                attachmentUserProperties:
                                  description: >-
                                    Names of user properties to attach to the
                                    email as attachments.
                                  type: array
                                  items:
                                    type: string
                                body:
                                  type: string
                                codeFormat:
                                  anyOf:
                                    - type: string
                                      enum:
                                        - html
                                    - type: string
                                      enum:
                                        - mjml
                                    - type: string
                                      enum:
                                        - react-email
                                localizationEnabled:
                                  type: boolean
                                localizations:
                                  type: object
                                  additionalProperties:
                                    type: object
                                    properties:
                                      description:
                                        type: string
                                      from:
                                        type: string
                                      subject:
                                        type: string
                                      body:
                                        type: string
                                      replyTo:
                                        type: string
                                    required:
                                      - subject
                                      - body
                              required:
                                - type
                                - from
                                - subject
                                - body
                            - description: SMS template resource
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - Sms
                                body:
                                  type: string
                              required:
                                - type
                                - body
                            - description: Webhook template resource
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - Webhook
                                identifierKey:
                                  type: string
                                body:
                                  type: string
                              required:
                                - type
                                - identifierKey
                                - body
                            - description: >-
                                Full WhatsApp template resource for API
                                responses
                              type: object
                              properties:
                                id:
                                  type: string
                                workspaceId:
                                  type: string
                                name:
                                  type: string
                                type:
                                  type: string
                                  enum:
                                    - Whatsapp
                                elementName:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                language:
                                  type: string
                                category:
                                  type: string
                                body:
                                  type: string
                                components:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      type:
                                        anyOf:
                                          - type: string
                                            enum:
                                              - HEADER
                                          - type: string
                                            enum:
                                              - BODY
                                          - type: string
                                            enum:
                                              - FOOTER
                                          - type: string
                                            enum:
                                              - BUTTONS
                                      format:
                                        anyOf:
                                          - type: string
                                            enum:
                                              - TEXT
                                          - type: string
                                            enum:
                                              - IMAGE
                                          - type: string
                                            enum:
                                              - VIDEO
                                          - type: string
                                            enum:
                                              - DOCUMENT
                                      text:
                                        type: string
                                      buttons:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            type:
                                              anyOf:
                                                - type: string
                                                  enum:
                                                    - PHONE_NUMBER
                                                - type: string
                                                  enum:
                                                    - URL
                                                - type: string
                                                  enum:
                                                    - QUICK_REPLY
                                            text:
                                              type: string
                                            phoneNumber:
                                              type: string
                                            url:
                                              type: string
                                            example:
                                              type: array
                                              items:
                                                type: string
                                          required:
                                            - type
                                            - text
                                      example:
                                        type: object
                                        properties:
                                          header_handle:
                                            type: array
                                            items:
                                              type: string
                                          header_text:
                                            type: array
                                            items:
                                              type: string
                                          body_text:
                                            type: array
                                            items:
                                              type: array
                                              items:
                                                type: string
                                    required:
                                      - type
                                twilioTemplateSid:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                status:
                                  anyOf:
                                    - type: string
                                      enum:
                                        - UNSUBMITTED
                                    - type: string
                                      enum:
                                        - RECEIVED
                                    - type: string
                                      enum:
                                        - PENDING
                                    - type: string
                                      enum:
                                        - APPROVED
                                    - type: string
                                      enum:
                                        - REJECTED
                                    - type: string
                                      enum:
                                        - PAUSED
                                    - type: string
                                      enum:
                                        - DISABLED
                                    - type: string
                                      enum:
                                        - CREATED
                                metaTemplateId:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                rejectionReason:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                createdAt:
                                  format: date-time
                                  type: string
                                updatedAt:
                                  format: date-time
                                  type: string
                                twilioContentType:
                                  anyOf:
                                    - type: string
                                      enum:
                                        - twilio/text
                                    - type: string
                                      enum:
                                        - twilio/quick-reply
                                    - type: string
                                      enum:
                                        - whatsapp/card
                                    - type: string
                                      enum:
                                        - twilio/whatsapp-template
                                variables:
                                  type: object
                                  additionalProperties:
                                    type: string
                                quickReplyActions:
                                  maxItems: 3
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        description: >-
                                          Unique identifier for the reply button,
                                          sent to your webhook.
                                        type: string
                                      title:
                                        description: Button text. Max 20 characters.
                                        type: string
                                    required:
                                      - id
                                      - title
                                cardHeaderText:
                                  type: string
                                cardImageUrl:
                                  type: string
                                cardFooter:
                                  type: string
                                cardActions:
                                  maxItems: 2
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      type:
                                        description: Type of card action.
                                        anyOf:
                                          - type: string
                                            enum:
                                              - URL
                                          - type: string
                                            enum:
                                              - PHONE_NUMBER
                                      title:
                                        description: Button text. Max 20 characters.
                                        type: string
                                      url:
                                        description: >-
                                          URL for URL buttons. Must be HTTPS.
                                          Required if type is URL.
                                        type: string
                                      phone:
                                        description: >-
                                          Phone number for PHONE_NUMBER buttons
                                          (E.164 format). Required if type is
                                          PHONE_NUMBER.
                                        type: string
                                    required:
                                      - type
                                      - title
                              required:
                                - id
                                - workspaceId
                                - name
                                - type
                                - language
                                - category
                                - body
                                - createdAt
                                - updatedAt
                        draft:
                          anyOf:
                            - description: Mobile push template resource
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - MobilePush
                                title:
                                  type: string
                                body:
                                  type: string
                                imageUrl:
                                  type: string
                                android:
                                  type: object
                                  properties:
                                    notification:
                                      type: object
                                      properties:
                                        channelId:
                                          type: string
                                  required:
                                    - notification
                              required:
                                - type
                            - type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - Email
                                from:
                                  type: string
                                subject:
                                  type: string
                                replyTo:
                                  type: string
                                headers:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      value:
                                        type: string
                                    required:
                                      - name
                                      - value
                                attachmentUserProperties:
                                  description: >-
                                    Names of user properties to attach to the
                                    email as attachments.
                                  type: array
                                  items:
                                    type: string
                                body:
                                  type: string
                                codeFormat:
                                  anyOf:
                                    - type: string
                                      enum:
                                        - html
                                    - type: string
                                      enum:
                                        - mjml
                                    - type: string
                                      enum:
                                        - react-email
                                localizationEnabled:
                                  type: boolean
                                localizations:
                                  type: object
                                  additionalProperties:
                                    type: object
                                    properties:
                                      description:
                                        type: string
                                      from:
                                        type: string
                                      subject:
                                        type: string
                                      body:
                                        type: string
                                      replyTo:
                                        type: string
                                    required:
                                      - subject
                                      - body
                              required:
                                - type
                                - from
                                - subject
                                - body
                            - description: SMS template resource
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - Sms
                                body:
                                  type: string
                              required:
                                - type
                                - body
                            - description: Webhook template resource
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - Webhook
                                identifierKey:
                                  type: string
                                body:
                                  type: string
                              required:
                                - type
                                - identifierKey
                                - body
                            - description: >-
                                Full WhatsApp template resource for API
                                responses
                              type: object
                              properties:
                                id:
                                  type: string
                                workspaceId:
                                  type: string
                                name:
                                  type: string
                                type:
                                  type: string
                                  enum:
                                    - Whatsapp
                                elementName:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                language:
                                  type: string
                                category:
                                  type: string
                                body:
                                  type: string
                                components:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      type:
                                        anyOf:
                                          - type: string
                                            enum:
                                              - HEADER
                                          - type: string
                                            enum:
                                              - BODY
                                          - type: string
                                            enum:
                                              - FOOTER
                                          - type: string
                                            enum:
                                              - BUTTONS
                                      format:
                                        anyOf:
                                          - type: string
                                            enum:
                                              - TEXT
                                          - type: string
                                            enum:
                                              - IMAGE
                                          - type: string
                                            enum:
                                              - VIDEO
                                          - type: string
                                            enum:
                                              - DOCUMENT
                                      text:
                                        type: string
                                      buttons:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            type:
                                              anyOf:
                                                - type: string
                                                  enum:
                                                    - PHONE_NUMBER
                                                - type: string
                                                  enum:
                                                    - URL
                                                - type: string
                                                  enum:
                                                    - QUICK_REPLY
                                            text:
                                              type: string
                                            phoneNumber:
                                              type: string
                                            url:
                                              type: string
                                            example:
                                              type: array
                                              items:
                                                type: string
                                          required:
                                            - type
                                            - text
                                      example:
                                        type: object
                                        properties:
                                          header_handle:
                                            type: array
                                            items:
                                              type: string
                                          header_text:
                                            type: array
                                            items:
                                              type: string
                                          body_text:
                                            type: array
                                            items:
                                              type: array
                                              items:
                                                type: string
                                    required:
                                      - type
                                twilioTemplateSid:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                status:
                                  anyOf:
                                    - type: string
                                      enum:
                                        - UNSUBMITTED
                                    - type: string
                                      enum:
                                        - RECEIVED
                                    - type: string
                                      enum:
                                        - PENDING
                                    - type: string
                                      enum:
                                        - APPROVED
                                    - type: string
                                      enum:
                                        - REJECTED
                                    - type: string
                                      enum:
                                        - PAUSED
                                    - type: string
                                      enum:
                                        - DISABLED
                                    - type: string
                                      enum:
                                        - CREATED
                                metaTemplateId:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                rejectionReason:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                createdAt:
                                  format: date-time
                                  type: string
                                updatedAt:
                                  format: date-time
                                  type: string
                                twilioContentType:
                                  anyOf:
                                    - type: string
                                      enum:
                                        - twilio/text
                                    - type: string
                                      enum:
                                        - twilio/quick-reply
                                    - type: string
                                      enum:
                                        - whatsapp/card
                                    - type: string
                                      enum:
                                        - twilio/whatsapp-template
                                variables:
                                  type: object
                                  additionalProperties:
                                    type: string
                                quickReplyActions:
                                  maxItems: 3
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        description: >-
                                          Unique identifier for the reply button,
                                          sent to your webhook.
                                        type: string
                                      title:
                                        description: Button text. Max 20 characters.
                                        type: string
                                    required:
                                      - id
                                      - title
                                cardHeaderText:
                                  type: string
                                cardImageUrl:
                                  type: string
                                cardFooter:
                                  type: string
                                cardActions:
                                  maxItems: 2
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      type:
                                        description: Type of card action.
                                        anyOf:
                                          - type: string
                                            enum:
                                              - URL
                                          - type: string
                                            enum:
                                              - PHONE_NUMBER
                                      title:
                                        description: Button text. Max 20 characters.
                                        type: string
                                      url:
                                        description: >-
                                          URL for URL buttons. Must be HTTPS.
                                          Required if type is URL.
                                        type: string
                                      phone:
                                        description: >-
                                          Phone number for PHONE_NUMBER buttons
                                          (E.164 format). Required if type is
                                          PHONE_NUMBER.
                                        type: string
                                    required:
                                      - type
                                      - title
                              required:
                                - id
                                - workspaceId
                                - name
                                - type
                                - language
                                - category
                                - body
                                - createdAt
                                - updatedAt
                        metaStatus:
                          anyOf:
                            - anyOf:
                                - type: string
                                  enum:
                                    - UNSUBMITTED
                                - type: string
                                  enum:
                                    - RECEIVED
                                - type: string
                                  enum:
                                    - PENDING
                                - type: string
                                  enum:
                                    - APPROVED
                                - type: string
                                  enum:
                                    - REJECTED
                                - type: string
                                  enum:
                                    - PAUSED
                                - type: string
                                  enum:
                                    - DISABLED
                                - type: string
                                  enum:
                                    - CREATED
                            - type: 'null'
                        whatsappTemplate:
                          type: object
                          properties:
                            rejectionReason:
                              anyOf:
                                - type: string
                                - type: 'null'
                      required:
                        - id
                        - name
                        - workspaceId
                        - type
                        - updatedAt
                required:
                  - templates

````